Index: trunk/src/org/expeditee/io/JavaWriter.java
===================================================================
--- trunk/src/org/expeditee/io/JavaWriter.java	(revision 1414)
+++ trunk/src/org/expeditee/io/JavaWriter.java	(revision 1415)
@@ -61,5 +61,5 @@
 	protected List<Item> getSortedItems(Frame frame) 
 	{
-		List<Item> y_ordered_items = frame.getItems();
+		List<Item> y_ordered_items = frame.getSortedItems();
 		
 		for (Item item: y_ordered_items) {
Index: trunk/src/org/expeditee/io/PDF2Writer.java
===================================================================
--- trunk/src/org/expeditee/io/PDF2Writer.java	(revision 1414)
+++ trunk/src/org/expeditee/io/PDF2Writer.java	(revision 1415)
@@ -186,5 +186,5 @@
 		
 		Frame child;
-		for(Item i : current.getItems()) {
+		for(Item i : current.getSortedItems()) {
 			if(i.isAnnotation())
 				continue;
@@ -209,5 +209,5 @@
 			writeStartFrame(f);
     		Text title = f.getTitleItem();
-    		for(Item i : f.getItems()) {
+    		for(Item i : f.getSortedItems()) {
     			if(i != title) {
     				this.writeItem(i);
@@ -220,5 +220,5 @@
     				this.writeAnnotationTitle(title);
     			else
-    				this.writeTitle(title, f.getItems());
+    				this.writeTitle(title, f.getSortedItems());
     		}
 		}
Index: trunk/src/org/expeditee/io/TXTWriter.java
===================================================================
--- trunk/src/org/expeditee/io/TXTWriter.java	(revision 1414)
+++ trunk/src/org/expeditee/io/TXTWriter.java	(revision 1415)
@@ -42,8 +42,8 @@
 	@Override
 	protected void writeStartFrame(Frame toParse) throws IOException {
-		if (ItemUtils.ContainsTag(toParse.getItems(), "@join"))
+		if (ItemUtils.ContainsTag(toParse.getSortedItems(), "@join"))
 			_join = !_join;
 
-		if (ItemUtils.ContainsTag(toParse.getItems(), "@indent"))
+		if (ItemUtils.ContainsTag(toParse.getSortedItems(), "@indent"))
 			_indent++;
 
@@ -73,9 +73,9 @@
 	@Override
 	protected void writeEndFrame(Frame toParse) throws IOException {
-		if (ItemUtils.ContainsTag(toParse.getItems(), "@indent"))
+		if (ItemUtils.ContainsTag(toParse.getSortedItems(), "@indent"))
 			if (_indent > 0)
 				_indent--;
 
-		if (ItemUtils.ContainsTag(toParse.getItems(), "@join"))
+		if (ItemUtils.ContainsTag(toParse.getSortedItems(), "@join"))
 			_join = !_join;
 
@@ -85,5 +85,5 @@
 	@Override
 	protected void resumeFrame(Frame resuming) {
-		_join = ItemUtils.ContainsTag(resuming.getItems(), "@join");
+		_join = ItemUtils.ContainsTag(resuming.getSortedItems(), "@join");
 	}
 
Index: trunk/src/org/expeditee/io/WebParser.java
===================================================================
--- trunk/src/org/expeditee/io/WebParser.java	(revision 1414)
+++ trunk/src/org/expeditee/io/WebParser.java	(revision 1415)
@@ -366,5 +366,5 @@
 
 						frameToAddTo = FrameIO.CreateFrame(frameToAddTo.getFramesetName(), pageTitle, null);
-						frameToAddTo.removeAllItems(frameToAddTo.getItems());
+						frameToAddTo.removeAllItems(frameToAddTo.getSortedItems());
 
 						try {
Index: trunk/src/org/expeditee/io/flowlayout/DimensionExtent.java
===================================================================
--- trunk/src/org/expeditee/io/flowlayout/DimensionExtent.java	(revision 1414)
+++ trunk/src/org/expeditee/io/flowlayout/DimensionExtent.java	(revision 1415)
@@ -38,7 +38,6 @@
 	public static DimensionExtent calcMinMaxXExtent(List<Item>items)
 	{
-
 		int min_x = Integer.MAX_VALUE;
-		int max_x = Integer.MIN_VALUE;
+		int max_x = Integer.MIN_VALUE + 1; // +1 makes it safe to do math.abs on
 		
 		for (Item item : items) {
@@ -59,7 +58,6 @@
 	public static DimensionExtent calcMinMaxYExtent(List<Item>items)
 	{
-
 		int min_y = Integer.MAX_VALUE;
-		int max_y = Integer.MIN_VALUE;
+		int max_y = Integer.MIN_VALUE + 1; // +1 makes it safe to do math.abs on
 		
 		for (Item item : items) {
Index: trunk/src/org/expeditee/io/flowlayout/XGroupItem.java
===================================================================
--- trunk/src/org/expeditee/io/flowlayout/XGroupItem.java	(revision 1414)
+++ trunk/src/org/expeditee/io/flowlayout/XGroupItem.java	(revision 1415)
@@ -635,5 +635,5 @@
 		double enclosureArea = 0.0;
 
-		for (Item i : frame.getItems()) {
+		for (Item i : frame.getSortedItems()) {
 
 			// Go through all the enclosures ...
Index: trunk/src/org/expeditee/items/Circle.java
===================================================================
--- trunk/src/org/expeditee/items/Circle.java	(revision 1414)
+++ trunk/src/org/expeditee/items/Circle.java	(revision 1415)
@@ -28,5 +28,4 @@
 import org.expeditee.core.Stroke;
 import org.expeditee.core.bounds.AxisAlignedBoxBounds;
-import org.expeditee.core.bounds.CombinationBoxBounds;
 import org.expeditee.core.bounds.EllipticalBounds;
 import org.expeditee.core.bounds.PolygonBounds;
Index: trunk/src/org/expeditee/items/Dot.java
===================================================================
--- trunk/src/org/expeditee/items/Dot.java	(revision 1414)
+++ trunk/src/org/expeditee/items/Dot.java	(revision 1415)
@@ -392,5 +392,5 @@
 		// TODO is the code below needed... what for?
 		for (Line line : getLines()) {
-			if (line.getID() < 0 && !current.getItems().contains(line)) {
+			if (line.getID() < 0 && !current.getSortedItems().contains(line)) {
 				line.setID(current.getNextItemID());
 				line.setHighlightColorToDefault();
